from django.db import models
from ldapdb.models.fields import CharField, IntegerField, ListField
import ldapdb.models


class PasswordResetToken(models.Model):
    user = models.CharField(max_length=100)
    email = models.CharField(max_length=100)
    hash = models.CharField(max_length=100)
    created = models.DateTimeField(auto_now_add=True)

# LDAP


class LdapUser(ldapdb.models.Model):
    base_dn = "ou=user,dc=warpzone,dc=ms"
    object_classes = ['posixAccount', 'shadowAccount', 'uidObject', 'account']

    uid = CharField(db_column='uid', unique=True, primary_key=True)
    email = CharField(db_column='description', max_length=200)

    def __str__(self):
        return self.uid

    def __unicode__(self):
        return self.uid


class LdapGroup(ldapdb.models.Model):
    base_dn = "ou=groups,dc=nodomain,dc=org"
    object_classes = ['posixGroup']

    gid = IntegerField(db_column='gidNumber', unique=True)
    name = CharField(db_column='cn', max_length=200, primary_key=True)
    members = ListField(db_column='memberUid')

    def __str__(self):
        return self.name

    def __unicode__(self):
        return self.name


