from django.conf.urls import url
from warpauth.views import main, login, reset_password, profile
from warpauth.views.admin import dashboard
#
# Definition of all available URLS for accessing Functions integrated in WarpAuth
#


urlpatterns = [
    # Authentication Pages
    url(r'^login/$', login.login_view, name='index'),
    url(r'^logout/$', login.logout_view, name='index'),
    url(r'^reset_password/$', reset_password.gen_token, name='index'),

    url(r'^reset_password/(?P<reset_hash>\w+)/$', reset_password.change_password, name='index'),

    url(r'^profile/$', profile.index, name='index'),
    url(r'^profile/change_password/$', profile.change_password, name='change_password'),

]
